package com.landray.kmss.sys.attachment.transfer;

import java.util.List;
import com.landray.kmss.sys.filestore.util.SysFileStoreUtil;
import com.landray.kmss.sys.admin.transfer.constant.ISysAdminTransferConstant;
import com.landray.kmss.sys.admin.transfer.model.SysAdminTransferTask;
import com.landray.kmss.common.dao.HQLInfo;
import java.util.ArrayList;
import com.landray.kmss.util.SpringBeanUtil;
import com.landray.kmss.sys.admin.transfer.service.ISysAdminTransferTaskService;
import com.landray.kmss.sys.admin.transfer.service.spring.SysAdminTransferResult;
import com.landray.kmss.sys.admin.transfer.service.spring.SysAdminTransferContext;
import com.landray.kmss.sys.admin.transfer.service.ISysAdminTransferTask;

public class SysAttTransferTask extends SysAttTransferChecker implements ISysAdminTransferTask
{
    public SysAdminTransferResult run(final SysAdminTransferContext sysAdminTransferContext) {
        final String uuid = sysAdminTransferContext.getUUID();
        final ISysAdminTransferTaskService sysAdminTransferTaskService = (ISysAdminTransferTaskService)SpringBeanUtil.getBean("sysAdminTransferTaskService");
        try {
            List list = new ArrayList();
            final HQLInfo info = new HQLInfo();
            info.setWhereBlock("sysAdminTransferTask.fdUuid=:uuid");
            info.setParameter("uuid", (Object)uuid);
            list = sysAdminTransferTaskService.getBaseDao().findValue(info);
            final SysAdminTransferTask sysAdminTransferTask = list.get(0);
            if (!sysAdminTransferTask.getFdStatus().equals(ISysAdminTransferConstant.TASK_STATUS_RUNED)) {
                SysFileStoreUtil.resetConvertInfo();
            }
            return SysAdminTransferResult.OK;
        }
        catch (final Exception e) {
            this.logger.info("附件迁移任务出错", e);
            return new SysAdminTransferResult(ISysAdminTransferConstant.TASK_STATUS_NOT_RUNED, e.getLocalizedMessage(), (Throwable)e);
        }
    }
}
